API referenceMedia
Save frames at exact times
View as MarkdownOpen in ClaudeOpen in ChatGPTConnect the roasOS MCP server: https://mcp.roasos.com/mcp
Authorization
bearerAuth AuthorizationBearer <token>
API key authentication. Use your API key as the bearer token: Authorization: Bearer roasos_sk_...
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/v1/media/frames" \ -H "Content-Type: application/json" \ -d '{ "video_url": "http://example.com", "at_seconds": [ 0 ] }'{ "data": { "video_url": "http://example.com", "frames": [ { "at_seconds": 0, "upload_id": "f2ef591b-135b-46fa-a604-3d4fda5bfbfb", "url": "http://example.com" } ], "credits_charged": 0 }}